package org.omg.CORBA;

import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.OutputStream;

public abstract class ULongSeqHelper
{
    private static String _id;
    private static TypeCode __typeCode;
    
    public ULongSeqHelper() {
    }
    
    public static void insert(Any any, int[] array) {
        OutputStream create_output_stream = any.create_output_stream();
        any.type(type());
        write(create_output_stream, array);
        any.read_value(create_output_stream.create_input_stream(), type());
    }
    
    public static int[] extract(Any any) {
        return read(any.create_input_stream());
    }
    
    public static synchronized TypeCode type() {
        if (ULongSeqHelper.__typeCode == null) {
            ULongSeqHelper.__typeCode = ORB.init().get_primitive_tc(TCKind.tk_ulong);
            ULongSeqHelper.__typeCode = ORB.init().create_sequence_tc(0, ULongSeqHelper.__typeCode);
            ULongSeqHelper.__typeCode = ORB.init().create_alias_tc(id(), "ULongSeq", ULongSeqHelper.__typeCode);
        }
        return ULongSeqHelper.__typeCode;
    }
    
    public static String id() {
        return ULongSeqHelper._id;
    }
    
    public static int[] read(InputStream inputStream) {
        int read_long = inputStream.read_long();
        int[] array = new int[read_long];
        inputStream.read_ulong_array(array, 0, read_long);
        return array;
    }
    
    public static void write(OutputStream outputStream, int[] array) {
        outputStream.write_long(array.length);
        outputStream.write_ulong_array(array, 0, array.length);
    }
    
    static {
        ULongSeqHelper._id = "IDL:omg.org/CORBA/ULongSeq:1.0";
        ULongSeqHelper.__typeCode = null;
    }
}
